Bug 52641 - Installer has option for SMB authentication, but it doesn't work
Installer has option for SMB authentication, but it doesn't work
Product: Red Hat Public Beta
Classification: Retired
Component: authconfig (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-27 12:05 EDT by Bill Stephens
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-27 16:49:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Stephens 2001-08-27 12:05:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-2smp i686)

Description of problem:
Installer has an option for using SMB servers to authenticate users.  I
assume this is winbind, no winbindd is available for install, and it's not
being configured.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install RedHat Beta
2.Configure to use SMB for authentication
3.Boot up
4.Try logging on with the SMB userid/password

Actual Results:  Can't login with SMB userid/password combination.

Expected Results:  Successful login with SMB userid/password combination.

Additional info:
Comment 1 Brent Fox 2001-08-27 14:23:28 EDT
The installer calls authconfig, which is supposed to set up the SMB
authentication.  I don't think it uses winbind.  Changing component to authconfig.
Comment 2 Nalin Dahyabhai 2001-08-27 18:29:12 EDT
The SMB authentication option sets up pam_smb_auth to authenticate to an SMB
server, typically running Samba.  User information must still be obtained using
one of files, NIS, hesiod, or LDAP.  The current version of Samba (2.2.1a) does
not include a compilable version of winbindd.
Comment 3 Bill Stephens 2001-08-28 07:34:29 EDT
Aahhh, I understand the predicament now.  The installer is a bit misleading 
then.  I thought the SMB authentication would be capable of going against an NT 
domain (very desireable in our environment) as a stand alone authentication 
method, ala winbind.  You will probably want to very clearly spell this option 
out in the install documentation, or remove it as a selection until something 
like winbind is available.  This option will probably add confusion and people, 
like myself, opening tickets because it appears to not work.



Note You need to log in before you can comment on or make changes to this bug.